# dotfiles

Various dotfiles and misc configs. Some of it is customized around my system
setup (like aliases pointing to paths) but you should be able to easily remove
that stuff.

This unpacks files one directory back, which is assumed to be your home
directory. The gitignore ignores all files by default. If you want to add a new
file this you need to add the `-f` flag to the git add command. This setup was
inspired by Gary Bernhardt and https://gist.github.com/meleu/053275b6842646b95491bf1af4a6ca0e

## Installing

```bash
# Go to your home directory.
cd ~

# Clone the repo with the "--no-checkout" option (so we can checkout the files in our home directory)
git clone --no-checkout <repo_url>/dotfiles.git

# Go to the created directory and change the worktree to the home direcory.
cd dotfiles
git config core.worktree '../../'

# Checkout the files. This will overwrite existing dotfiles with the same name.
git reset --hard origin/master
```

If you want to install optional OS specific stuff, like various packages, run the `install` script in this folder.

OS specific configs are in their respective folders.

